org.eclipse.microprofile.opentracing.tck

## Class OpenTracingHTTPPathNameTests

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.opentracing.tck.OpenTracingBaseTests
    - - org.eclipse.microprofile.opentracing.tck.OpenTracingClientBaseTests
      - - org.eclipse.microprofile.opentracing.tck.OpenTracingHTTPPathNameTests

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class OpenTracingHTTPPathNameTests
    extends OpenTracingClientBaseTests

Author:
  Pavol Loffay

### Nested Class Summary

Nested Classes
`static class` `OpenTracingHTTPPathNameTests.TestConfiguration`

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.eclipse.microprofile.opentracing.tck.OpenTracingBaseTests

`deploymentURL, JAXRS_COMPONENT`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`OpenTracingHTTPPathNameTests()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`protected String` `getOperationName(String spanKind, String httpMethod, Class<?> clazz, Method method)` Get operation name depending on the `spanKind`.

### Methods inherited from class org.eclipse.microprofile.opentracing.tck.OpenTracingBaseTests

`assertEqualErrorTrees, assertEqualTrees, beforeEachTest, executeNested, executeRemoteWebServiceRaw, executeRemoteWebServiceRaw, executeRemoteWebServiceTracerTree, getEndpointMethod, getExpectedNestedServerSpan, getExpectedSpanTags, getExpectedSpanTagsForError, getNestedQueryParameters, getRandomNumber, getWebServiceURL, getWebServiceURL, testMultithreadedNestedSpans, testNestedSpans`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenTracingHTTPPathNameTests

    public OpenTracingHTTPPathNameTests()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### getOperationName

    protected String getOperationName(String spanKind,
                                      String httpMethod,
                                      Class<?> clazz,
                                      Method method)

Description copied from class: `OpenTracingBaseTests`
Get operation name depending on the `spanKind`.

Overrides:
  `getOperationName` in class `OpenTracingBaseTests`
Parameters:
  `spanKind` - The type of span.
  `httpMethod` - HTTP method
  `clazz` - resource class
  `method` - method of the REST endpoint
Returns:
  operation name